%define debug_package %{nil}
%bcond_without check
%{!?_pam_moduledir:%global _pam_moduledir %{_libdir}/security}
%{!?_pam_vendordir:%global _pam_vendordir %{_datadir}/pam.d}

Summary:        Go tool for managing Linux filesystem encryption
Name:           fscrypt
Version:        0.3.5
Release:        1.1%{?dist}
License:        Apache-2.0
URL:            https://github.com/google/fscrypt
Source:         https://github.com/google/fscrypt/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
Source2:        %name.pam
# source1 and source3 vendor and vendor-loongarch64 get from  x86 and loongarch64 host
# go mod vendor


BuildRequires:  gcc
BuildRequires:  m4
BuildRequires:  git
BuildRequires:  golang
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bash-completion)
Requires:       pam-fscrypt = %{version}

%description
fscrypt is a high-level tool for the management of Linux filesystem encryption.
This tool manages metadata, key generation, key wrapping, PAM integration, and
provides a uniform interface for creating and modifying encrypted directories.

%package -n pam-fscrypt
#
Summary:        Go tool for managing Linux filesystem encryption (the pam module)
Requires(pre):  fscrypt = %{version}

%description -n pam-fscrypt
fscrypt is a high-level tool for the management of Linux filesystem encryption.
This tool manages metadata, key generation, key wrapping, PAM integration, and
provides a uniform interface for creating and modifying encrypted directories.

This package holds the pam module for fscrypt.

%prep
%autosetup -p1 -a 1


%build
# update mod of source mod
cp -ra vendor/go.mod go.mod
cp -ra vendor/go.sum go.sum
%global make_args GO_FLAGS="-mod=vendor -buildmode=pie" PAM_MODULE_DIR="%{_pam_moduledir}" PREFIX="%{_prefix}"
%make_build %{make_args}

%install
%make_install %{make_args}
rm -rvf %{buildroot}%{_datadir}/pam-configs
install -D -m 644 %{SOURCE2} %{buildroot}%{_pam_vendordir}/%{name}

%files
%license LICENSE
%doc README.md
%{_bindir}/fscrypt
%{_datadir}/bash-completion/completions/fscrypt

%files -n pam-fscrypt
%license LICENSE
%{_pam_moduledir}/pam_fscrypt.so
%{_pam_vendordir}/%{name}

%changelog
* Tue Aug 6 2024 zphj1987 <199383004@qq.com> - 0.3.5-1.1
- [Type] other
- [DESC] Initial build of fscrpty.
